Subject: bug#70384: [PATCH] 30.0.50; save-mark-and-excursion breaks with tmm disabled

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 Apr 2024 09:55:56 -0400

> I'm not sure I agree with your expectations.  activate-mark activates
> the mark unconditionally when transient-mark-mode is disabled, unless
> you invoke it with a non-nil argument.  And indeed
>
>    (save-mark-and-excursion (activate-mark t))
>
> behaves like you expect.
>
> Stefan, am I missing something?

It's all very messy with dark corners where the right answer is unclear,
yes.  That's one of the reasons why I extracted that mark-handling
functionality out of `save-excursion` in the first place. 🙂

IOW my opinion is: if you use `save-mark-and-excursion`, you get what
you deserve.

        Stefan